## WebKitDOMXPathExpression WebKitDOMXPathExpression |

## Functions

WebKitDOMXPathResult * | webkit_dom_xpath_expression_evaluate ()

## Types and Values

| WebKitDOMXPathExpression

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMXPathExpression

## Description

## Functions

### webkit_dom_xpath_expression_evaluate ()

    WebKitDOMXPathResult *
    webkit_dom_xpath_expression_evaluate (WebKitDOMXPathExpression *self,
                                          WebKitDOMNode *contextNode,
                                          gushort type,
                                          WebKitDOMXPathResult *inResult,
                                          GError **error);

#### Parameters

self | A WebKitDOMXPathExpression |
contextNode | A WebKitDOMNode |
type | A gushort |
inResult | A WebKitDOMXPathResult |
error | GError |

#### Returns

A WebKitDOMXPathResult.

[transfer full]

## Types and Values

### WebKitDOMXPathExpression

    typedef struct _WebKitDOMXPathExpression WebKitDOMXPathExpression;